#include "kjs/wk_config.h"

#include "BIPlayerEvent.h"

namespace BC
{
    class BCPlayerEvent : public BAL::BIPlayerEvent {
        public:
            BCPlayerEvent(BAL::BIPlayerEvent::Action action, BAL::BIPlayerPtr player, BAL::BIPlayerArgs args);

            virtual ~BCPlayerEvent();

            virtual BIEvent* clone() const;

            virtual BAL::BIPlayerEvent::Action action() const;
            
            virtual BAL::BIPlayerPtr getPlayer() const;

            virtual BAL::BIPlayerArgs getArgs() const;

        protected:
            BAL::BIPlayerEvent::Action m_action;
            BAL::BIPlayerPtr m_player;
            BAL::BIPlayerArgs m_args;
    };
}

